QR Meadow
Italiano

LABORATORIO DI QR CODE STATICI

Informazioni su QR Meadow

QR Meadow è un generatore di QR Code gratuito che funziona interamente nel tuo browser. Crea codici statici che continuano a funzionare finché restano leggibili, e verifica ogni design prima che tu lo scarichi.

Come funziona ↓Il contenuto del QR Code resta sul tuo dispositivo.

Che cosa fa QR Meadow

QR Meadow trasforma dodici tipi di contenuto in QR Code: indirizzi web, dati di reti Wi-Fi, biglietti da visita (vCard), email precompilate, testo semplice, numeri di telefono, SMS, chat WhatsApp, posizioni sulla mappa, eventi in calendario, pagamenti Pix e bonifici SEPA (EPC / GiroCode). Ogni tipo ha il proprio modulo con controlli per gli errori più comuni, come una password Wi-Fi troppo corta o un indirizzo email con un errore di battitura. Puoi partire da uno stile predefinito oppure cambiare colori, sfumature, forme dei moduli e stili degli angoli, aggiungere un logo, una cornice e un'etichetta breve, e scaricare il risultato come immagine PNG, SVG vettoriale o PDF vettoriale. Il generatore in blocco crea fino a 500 codici da un elenco o un CSV, in uno ZIP o su fogli di etichette stampabili, e il lettore legge un codice da un'immagine.

Come funziona

Quando apri il generatore, il browser scarica da questo sito la pagina e alcuni piccoli file di script. Da quel momento tutto avviene sul tuo dispositivo. Il contenuto che scrivi viene trasformato in un QR Code da un codificatore JavaScript, disegnato come forme vettoriali e mostrato nell'anteprima. Ogni modifica avvia una verifica di scansione: il design finito viene decodificato di nuovo con il lettore open source jsQR in tre dimensioni diverse, e vedi una spunta verde solo se il risultato corrisponde esattamente a ciò che hai inserito. I download vengono prodotti allo stesso modo, senza passare da un server.

È proprio questa struttura che permette al sito di essere privato. Non ci sono account né script pubblicitari. Cloudflare aggiunge statistiche sulle prestazioni delle pagine sul dominio ospitato; l'app non invia a questo beacon il contenuto dei tuoi QR Code. La tua password Wi-Fi, i tuoi dati di contatto e il tuo logo non lasciano mai la scheda del browser. Consulta la pagina sulla privacy per i dettagli.

Solo codici statici

Ogni codice creato da QR Meadow è statico: il contenuto è scritto nel codice stesso. Un codice statico non può essere modificato dopo la stampa e non può contare le scansioni, ma non può nemmeno essere disattivato. Non dipende dal fatto che questo sito resti online, da un abbonamento o dal server di reindirizzamento di qualcuno.

I codici dinamici funzionano diversamente. Contengono un link breve al server del fornitore, che inoltra il visitatore alla destinazione reale. Questo rende possibili la modifica e le statistiche di scansione, e per alcune campagne è la scelta giusta. Il rovescio della medaglia è che il codice dipende dal fornitore. Il centro assistenza di un grande fornitore, ad esempio, indica che i codici dinamici creati durante la prova gratuita vengono disattivati alla fine della prova, mentre i codici statici continuano a funzionare. QR Meadow evita del tutto questo compromesso.

Che cosa QR Meadow non fa

  • Niente codici dinamici o modificabili, e niente statistiche di scansione.
  • Niente hosting di file, immagini, video o moduli: richiederebbero un server per conservare i tuoi contenuti.
  • Niente scansione con la fotocamera: il lettore legge le immagini che aggiungi, e il sito non chiede l'accesso alla fotocamera.

Standard e componenti open source

  • La codifica QR usa la libreria QR Code generator di Kazuhiko Arase (licenza MIT).
  • La verifica di scansione usa jsQR (Apache License 2.0).
  • I codici Wi-Fi seguono il formato WIFI:, ampiamente supportato e documentato dal progetto ZXing, comprese le sue regole di escape.
  • I biglietti da visita seguono vCard 3.0 (RFC 2426), e i codici email usano link mailto: come definiti nella RFC 6068.
  • I codici per telefono, SMS, geo: e calendario usano le forme tel:, SMSTO:, geo: e VEVENT elencate da ZXing; il testo degli eventi viene sottoposto a escape come in iCalendar (RFC 5545).
  • I codici WhatsApp usano i link click-to-chat wa.me documentati da WhatsApp, e i link di mappa seguono i formati documentati da Google Maps e Apple Maps.

Le licenze di entrambe le librerie sono distribuite insieme ai file del sito. I test coprono ogni tipo di contenuto con ogni livello di correzione degli errori e ogni forma dei moduli, decodificando ogni codice generato fino a ritrovarne il contenuto originale.

Feedback

QR Meadow è un piccolo progetto indipendente ed è ancora in fase di miglioramento. Se un codice creato qui non viene letto dal tuo telefono, le informazioni più utili sono il tipo di contenuto, le impostazioni di stile che hai scelto e il telefono e l'app con cui l'hai scansionato.

Domande frequenti

QR Meadow è gratuito?

Sì. Non c'è registrazione, non ci sono piani a pagamento e non c'è alcun limite al numero di codici che crei o a quante volte vengono scansionati.

Mi serve un account?

No. Non esistono account. Niente di ciò che crei viene conservato su un server, quindi non c'è nulla a cui accedere.

I miei codici smetteranno di funzionare se questo sito va offline?

No. Il contenuto è all'interno del codice stesso. Un codice che hai scaricato continua a funzionare anche senza questo sito.

Posso usare i codici per scopi commerciali?

Sì. I codici che crei sono tuoi e puoi usarli su prodotti, confezioni, cartelli e materiale di marketing.

Perché non c'è il tracciamento delle scansioni?

Contare le scansioni richiede un reindirizzamento tramite un server, che renderebbe i tuoi codici dipendenti da quel server. QR Meadow crea solo codici statici.

Altri generatori di QR Code